package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.system.domain.RiskProject;
import com.ruoyi.system.mapper.RiskProjectMapper;
import com.ruoyi.system.service.IRiskProjectService;

/**
 * 项目管理服务实现
 */
@Service
public class RiskProjectServiceImpl implements IRiskProjectService
{
    @Autowired
    private RiskProjectMapper riskProjectMapper;

    @Override
    public RiskProject selectRiskProjectById(Long projectId)
    {
        return riskProjectMapper.selectRiskProjectById(projectId);
    }

    @Override
    public List<RiskProject> selectRiskProjectList(RiskProject riskProject)
    {
        return riskProjectMapper.selectRiskProjectList(riskProject);
    }

    @Override
    public int insertRiskProject(RiskProject riskProject)
    {
        return riskProjectMapper.insertRiskProject(riskProject);
    }

    @Override
    public int updateRiskProject(RiskProject riskProject)
    {
        return riskProjectMapper.updateRiskProject(riskProject);
    }

    @Override
    public int deleteRiskProjectByIds(String ids)
    {
        return riskProjectMapper.deleteRiskProjectByIds(Convert.toStrArray(ids));
    }
}
